summaryrefslogtreecommitdiffstats
path: root/modules/brotli/update.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:22:09 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:22:09 +0000
commit43a97878ce14b72f0981164f87f2e35e14151312 (patch)
tree620249daf56c0258faa40cbdcf9cfba06de2a846 /modules/brotli/update.sh
parentInitial commit. (diff)
downloadfirefox-43a97878ce14b72f0981164f87f2e35e14151312.tar.xz
firefox-43a97878ce14b72f0981164f87f2e35e14151312.zip
Adding upstream version 110.0.1.upstream/110.0.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xmodules/brotli/update.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/modules/brotli/update.sh b/modules/brotli/update.sh
new file mode 100755
index 0000000000..3ef6554c43
--- /dev/null
+++ b/modules/brotli/update.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# Script to update the mozilla in-tree copy of the Brotli library.
+# Run this within the /modules/brotli directory of the source tree.
+
+MY_TEMP_DIR=`mktemp -d -t brotli_update.XXXXXX` || exit 1
+
+git clone https://github.com/google/brotli ${MY_TEMP_DIR}/brotli
+git -C ${MY_TEMP_DIR}/brotli checkout v1.0.9
+
+COMMIT=$(git -C ${MY_TEMP_DIR}/brotli rev-parse HEAD)
+perl -p -i -e "s/\[commit [0-9a-f]{40}\]/[commit ${COMMIT}]/" README.mozilla;
+
+DIRS="common dec include"
+
+for d in $DIRS; do
+ rm -rf $d
+ mv ${MY_TEMP_DIR}/brotli/c/$d $d
+done
+rm -rf ${MY_TEMP_DIR}
+
+hg addremove $DIRS
+
+echo "###"
+echo "### Updated brotli to $COMMIT."
+echo "### Remember to verify and commit the changes to source control!"
+echo "###"